Package Details: magic-wormhole 0.11.2-1

Git Clone URL: https://aur.archlinux.org/magic-wormhole.git (read-only)
Package Base: magic-wormhole
Description: Securely transfer data between computers
Upstream URL: https://pypi.python.org/pypi/magic-wormhole/0.11.2
Licenses: MIT
Conflicts: python-wormhole, wormhole, wormhole-server
Provides: python-wormhole, wormhole, wormhole-server
Replaces: python-wormhole, wormhole, wormhole-server
Submitter: stormdragon2976
Maintainer: stormdragon2976
Last Packager: stormdragon2976
Votes: 23
Popularity: 1.918256
First Submitted: 2016-08-10 22:29
Last Updated: 2019-03-30 12:27

Latest Comments

« First ‹ Previous 1 2 3

pigmonkey commented on 2017-06-27 16:41

This is currently broken due to an out of date txtorcon. Magic wormhole now requires >=0.19.3

https://aur.archlinux.org/packages/txtorcon/

trickyelf commented on 2017-01-25 16:44

The package works for me both with and without arguments, without python-ipaddress or python2-ipaddress installed. I would rather not install unnecessary AUR packages.

stormdragon2976 commented on 2017-01-24 19:49

@grawity: I didn't have any trouble with it without ipaddress installed either, until I ran it with no arguments, and then, for some reason, it gave a traceback. Installing ipaddress fixed this issue, so I went ahead and included it in the deps.

grawity commented on 2017-01-24 05:35

Uh, that really doesn't look right. The ipaddress module has been part of Python stdlib ever since 3.3 – there should be no reason to install it for 3.x separately...

pigmonkey commented on 2017-01-23 20:57

This package works for me without python-ipaddress. However, it looks like I do have python2-ipaddress installed from Extra for another package.

Polichronucci commented on 2017-01-23 13:15

By installing AUR package python-ipaddress this issue is resolved. Maybe add it to the dependencies?

$ wormhole --help
Traceback (most recent call last):
File "/usr/bin/wormhole", line 6, in <module>
from pkg_resources import load_entry_point
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3019, in <module>
@_call_aside
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3003, in _call_aside
f(*args, **kwargs)
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3032, in _initialize_master_working_set
working_set = WorkingSet._build_master()
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 655, in _build_master
ws.require(__requires__)
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 963, in require
needed = self.resolve(parse_requirements(requirements))
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 849, in resolve
raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'ipaddress' distribution was not found and is required by magic-wormhole

quite commented on 2017-01-06 09:13

Unfortunately, the current AUR version of python-humanize does not build...